//==================================
// SHELLABT.C - Matt Pietrek 1993
//==================================
#include <windows.h>
#define IDC_BUTTON_REGISTRATION 100
#define IDC_BUTTON_ABOUT    101

HINSTANCE HInstance;

// We need a prototype for this function
void FAR PASCAL ShellAbout(
    HWND hWndOwner, LPSTR lpszAppName,  LPSTR lpszMoreInfo, HICON hIcon );

//
// Dialog proc for the main dialog
//
BOOL CALLBACK _export ShellAbtDlgProc(HWND hWndDlg, UINT msg,
                                      WPARAM wParam, LPARAM lParam)
{
    if ( msg == WM_COMMAND )
    {
        if ( wParam == IDC_BUTTON_REGISTRATION )
        {
            char user[32];
            char organization[32];
            char buffer[128];

            // Get USER's instance handle
            HINSTANCE hInstUser = LoadLibrary("USER");
            FreeLibrary(hInstUser);     // Keep the load count constant
            
            LoadString(hInstUser, 514, user, sizeof(user));
            LoadString(hInstUser, 515,organization,sizeof(organization));
            wsprintf(buffer, "User: %s\r\nOrganization: %s",
                        (LPSTR)user, (LPSTR)organization);
            MessageBox(hWndDlg, buffer, "Demo", MB_OK);
        }
        else if ( wParam == IDC_BUTTON_ABOUT )
        {
            ShellAbout( hWndDlg, "ShellAbout",
                        "This string can hold useful info",
                        LoadIcon(HInstance, "ShellAbtIcon") );
        }
    }
    else if ( msg == WM_CLOSE )
    {
        EndDialog(hWndDlg, 0); return FALSE;
    }
    
    return FALSE;
}

int PASCAL WinMain( HANDLE hInstance, HANDLE hPrevInstance,
                    LPSTR lpszCmdLine, int nCmdShow )
{
    HInstance = hInstance;
    DialogBox(hInstance, "ShellAbtDlg", 0, ShellAbtDlgProc);
    return 0;
}
